package com.sky.controller.admin;

import com.sky.entity.TLandimg;
import com.sky.result.Result;
import com.sky.service.EmployeeService;
import com.sky.service.ITLandimgService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/admin/employee")
@Slf4j
public class LandImgController {
    @Autowired
    private ITLandimgService itLandimgService;
    @Autowired
    private EmployeeService employeeService;

    /**
     * 上传表单信息
     *
     * @param landimg
     * @return
     */
    @PostMapping("/getLandImg")
    public Result<String> getLandImg(@RequestBody TLandimg landimg) {
        System.out.println("这是site: " + landimg.getSite() + " author: " + landimg.getAuthor());
//        itLandimgService.postform(landimg.getAuthor(), landimg.getSite(), landimg.getPzdt(), landimg.getImgurl());
        itLandimgService.save(landimg);
        return Result.success();
    }

    /**
     * 根据当前用户的手机号   查询出当前用户已经填报的所有信息
     *
     * @param phone
     * @return
     */
    @GetMapping("/getlandimgbyphone")
    public Result<List<TLandimg>> getLandimgByPhone(@RequestParam String phone) {
        return Result.success(itLandimgService.getLandimgByPhone(phone));

    }

}
